• Welcome to Simple Machines Community Forum. Please login or sign up.
December 07, 2021, 12:30:13 PM

News:

Want to get involved in developing SMF, then why not lend a hand on our github!


Fehler in der insall.php ?

Started by Atze, March 21, 2004, 12:47:54 PM

Previous topic - Next topic

Atze

March 21, 2004, 12:47:54 PM Last Edit: March 22, 2004, 04:59:52 AM by Atze
Hi All,

ich möchte mir mal SMF anschauen aber beim installieren krieg ich immer folgende Fehlermeldung.

Warning: Undefined variable: _SERVER in /home/www/web3/html/smf/install.php on line 308

Warning: Undefined variable: _POST in /home/www/web3/html/smf/install.php on line 402
Just a few things for you to setup ;).

habe die settings.php 777 und setting.bak 666 gegeben.

Habe auch die Suchfunktion hier benutzt aber nix wirklich gefunden.
Ich habe heute das File für die Erstinstallation gezogen und entpackt sowie logischerweise hochgeladen.

Kann mir jemand weiterhelfen ?

Danke Atze

PS: Bitte nicht auf irgendwelche englischen Texte verweisen.

andrea

Überprüfe doch mal, ob Dein Server die Anforderungen erfüllt und ob Du das richtige Installationspaket genommen hast.

Bei weiteren Fragen einen Link zum Forum-Dir und zur phpinfo() posten.

Andrea Hubacher
Ex Lead Support Specialist
www.simplemachines.org

Personal Signature:
Most recent work:
10 Aqua Themes for SMF



Atze

March 21, 2004, 01:57:52 PM #2 Last Edit: March 21, 2004, 01:59:43 PM by Atze
Hallo Andrea

Ich hab das Zipfile ganz oben beim download das erste also für die Neuinstallation genommen.

hier die URL zum install.php:
http://web3.mkweb-network.de/smf/install.php [nofollow]

hier die Url für die Serverinfo:
http://web3.mkweb-network.de/info/info.php [nofollow]

Danke und Gruß
Atze


Atze

Kann mir da wirklich keinerweiterhelfen ?

Gruß Atze

andrea

Geduld bringt Antwort (da nun Feierabend). Dein phpinfo zeigt dass "safe mode" aktiviert ist auf Deinem Server. Also musst Du das "safe mode" Installationspaket nehmen. Ist glaube ich der 4. Block auf der Download-Seite.

Andrea Hubacher
Ex Lead Support Specialist
www.simplemachines.org

Personal Signature:
Most recent work:
10 Aqua Themes for SMF



Atze

Hallo Andrea,

schön das du mich nicht hängen läßt.

Aber !!

Ich hab was mit den Augen glaub ich.
Ich finde im Download nur 3x install 3x update und 3x upgrade jeweils verschieden gepackt.

Finde da nichts von Save Modus.

Danke und Gruß Dirk

andrea

March 22, 2004, 01:36:34 PM #6 Last Edit: March 22, 2004, 04:24:06 PM by andrea
Stimmt, habs grad mit meinem Testuser gecheckt. Kaum zu fassen, werd's weitermelden!

Die erste Install ist für safe mode (ist überhaupt der einzige Installer der momentan verfügbar ist). Die richtige Antwort ist die nachfolgende von Mediman: der Server hat ein zu altes PHP.

Andrea Hubacher
Ex Lead Support Specialist
www.simplemachines.org

Personal Signature:
Most recent work:
10 Aqua Themes for SMF



mediman

March 22, 2004, 01:40:16 PM #7 Last Edit: March 22, 2004, 01:44:57 PM by mediman
Hallo Atze,

wie du selber in deiner PHPINFO lesen kannst nutzt du PHP Version 4.0.6, diese jedoch kennt Arrays wie $_SERVER und $_POST garnicht!

Das sind sogenannte Superglobal Arrays, die erst ab der PHP 4.1.x zur Verfügung stehen!

mediman
My Projects: http://ticker-oase.de 
Please do not PM me with support requests.

Atze

Danke !!!!!

Hätt ich ja nu Ewig basteln können.

Danke nochmal.

Gruß Dirk

mediman

Naja, entweder du (oder wer immer dein hoster ist) graded auf ein vernünftiges php up (ist ja auch eine sicherheits- und nicht zuletzt performancesache) oder du musst alles auf die alten http_vars umbauen, oder du nutzt halt eine software, die mit so alten umgebungen klarkommt!

ich denke variante 1 ist die vernünftigste!

alternativ bleibt dir eins der smf hosting angebote zu nutzen, was dir auch gleich die entsprechenden module wie GD und Aspell und vernünftige servertechnik beschert!

übrigens: so in etwa sieht eine durchschnittlich gute php umgebung aus.... PHP INFO komplett

mediman
My Projects: http://ticker-oase.de 
Please do not PM me with support requests.

Atze

Ich habe ja noch ein Server Kontent heißt der der hat auch php 4.3.
Ich wollte auf dem Server oben mir die Software nur mal richtig anschauen.

Aber ich frag mal weiter habe yabbse 1.5.5 auf meinem Server installiert kann ich trotzdem ein install von smf machen und dann später ein Upgrade oder beißt sich da was bzw kann ich die Daten von yabbse dann immernoch problemlos übernehmen ?

Danke auf jeden Fall für die Lösung des obigen Problems.

mediman

du kannst neben deinem yabbse ein smf frisch installieren! (halt ein anderes prefix setzen) und später dann, das yabb se konvertieren! auch wäre ein smf undein yabb se mit der selben db möglich ( einfach die db sichern und prefix ändern)

mediman
My Projects: http://ticker-oase.de 
Please do not PM me with support requests.

Advertisement: